%global dlrn_nvr ansible-role-tripleo-modify-image-1.2.3.dev1-2.20210601001841.b304c89
%global dlrn 1
%define upstream_version 1.2.3.dev1
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver %{python3_pkgversion}
%else
%global pyver 2
%endif
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility
%global srcname ansible_role_tripleo_modify_image
%global rolename ansible-role-tripleo-modify-image

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           %{rolename}
Version: 1.2.3
Release: 2.20210601001841.b304c89%{?dist}.2
Summary:        Ansible role to allow modification to container images built for the TripleO project.

Group:          System Environment/Base
License:        ASL 2.0
URL:            https://git.openstack.org/cgit/openstack/ansible-role-tripleo-modify-image
Source0: ansible-role-tripleo-modify-image-1.2.3.dev1-2.20210601001841.b304c89.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=b304c8979c1bf911fc15caac646c1b80d2c72bd5

BuildArch:      noarch
BuildRequires:  git
BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-setuptools
BuildRequires:  python%{pyver}-pbr

# Handle python2 exception
%if %{pyver} == 2 || 0%{?rhel} > 7
Requires:       ansible
%else
Requires:       ansible-python3
%endif


Requires: buildah

%description

Ansible role to allow modification to container images built for the TripleO project.

%prep
%autosetup -n %{rolename}-%{upstream_version} -S git


%build
%{pyver_build}


%install
export PBR_VERSION=%{version}
export SKIP_PIP_INSTALL=1
%{pyver_install}


%files
%doc README*
%license LICENSE
%{pyver_sitelib}/%{srcname}-*.egg-info
%{_datadir}/ansible/roles/


%changelog
* Mon Jun 07 2021 CPaaS User <cpaas-ops@redhat.com> - 1.2.3-2.20210601001841.b304c89.2
- Bump release

* Mon Jun 07 2021 CPaaS User <cpaas-ops@redhat.com> - 1.2.3-2.20210601001841.b304c89.1
- Bump release

* Mon May 31 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.3-2.20210601001841.b304c89
- Update patches
- Only mount /etc/{{ pkg_mgr_suffix }}/vars if it exists

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.2-2.20210527213013.2c53d70
- Update patches

* Wed May 12 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.2-2.20210513021132.2c53d70
- Update patches
- Use dnf/yum vars based on what is available
- Mount yum/vars along with yum repos

* Fri Apr 23 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.2-2.20210424005747.38691f5
- Update patches
- Fix git lookup

* Mon Apr 19 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.0-1
- Update patches
- Replace deprecated UPPER_CONSTRAINTS_FILE variable

* Thu Dec 17 2020 OSP Prod Chain <dev-null@redhat.com> 1.1.0-1
- Update patches

* Tue Oct 13 2020 OSP Prod Chain <dev-null@redhat.com> 1.1.0-1
- Update patches
- Migrate to content provider jobs/templates

* Fri Jul 31 2020 OSP Prod Chain <dev-null@redhat.com> 1.1.0-1
- Update patches
- Port jobs from centos7 to centos8

* Tue Jul 21 2020 OSP Prod Chain <dev-null@redhat.com> 1.1.0-1
- Update patches

* Thu Jul 16 2020 OSP Prod Chain <dev-null@redhat.com> 1.1.0-1
- Update patches

* Mon Jul 06 2020 OSP Prod Chain <dev-null@redhat.com> 1.1.0-1
- Update patches
- rpm_install: return 0 if package was already installed

* Mon Jun 15 2020 OSP Prod Chain <dev-null@redhat.com> 1.1.0-1
- Update patches
- Add retries on image pull ahead of updating

* Wed May 27 2020 OSP Prod Chain <dev-null@redhat.com> 1.1.0-1
- Update patches
- Fix become and remote_src when modifying an image

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 1.1.0-1
- Update patches

* Tue Feb 04 2020 OSP Prod Chain <dev-null@redhat.com> 1.1.0-1
- Update patches
- Add double quotes around the printf statements in yum_update.sh

* Wed Jan 29 2020 OSP Prod Chain <dev-null@redhat.com> 1.1.0-1
- Update patches
- Ensure the yum cache has at most one writer

* Thu Jan 23 2020 OSP Prod Chain <dev-null@redhat.com> 1.1.0-1
- Update patches
- Force docker format

* Wed Jan 22 2020 OSP Prod Chain <dev-null@redhat.com> 1.1.0-1
- Force docker format (rhbz#1793960)



